Skip to main content
GET
/
live-scores
Get live scores
curl --request GET \
  --url https://api.sx.bet/live-scores
{
  "status": "success",
  "data": [
    {
      "sportId": 3,
      "leagueId": 171,
      "sportXeventId": "L17406328",
      "currentPeriod": "5th Inning",
      "periodTime": "-1",
      "teamOneScore": 4,
      "teamTwoScore": 1,
      "periods": [
        {
          "label": "1st Inning",
          "isFinished": true,
          "teamOneScore": "4",
          "teamTwoScore": "0"
        },
        {
          "label": "4th Inning",
          "isFinished": true,
          "teamOneScore": "0",
          "teamTwoScore": "1"
        },
        {
          "label": "3rd Inning",
          "isFinished": true,
          "teamOneScore": "0",
          "teamTwoScore": "0"
        },
        {
          "label": "2nd Inning",
          "isFinished": true,
          "teamOneScore": "0",
          "teamTwoScore": "0"
        },
        {
          "label": "5th Inning",
          "isFinished": false,
          "teamOneScore": "0",
          "teamTwoScore": "0"
        }
      ],
      "extra": "[{\"Name\":\"Strikes\",\"Value\":\"0\"},{\"Name\":\"Balls\",\"Value\":\"0\"},{\"Name\":\"Outs\",\"Value\":\"0\"},{\"Name\":\"Turn\",\"Value\":\"2\"},{\"Name\":\"Bases\",\"Value\":\"0/0/0\"}]",
      "createdAt": "2026-03-13T17:05:53.092Z",
      "updatedAt": "2026-03-13T18:21:26.741Z"
    }
  ]
}

Query Parameters

sportXEventIds
string[]
required

An array of event IDs

Response

200 - application/json
status
string

success or failure if the request succeeded or not

data
object[]